Subject: [Asrg] IPv6 spam data

From: Tim Chown <[email-masked]>
Date: Mon, 4 Aug 2008 09:53:57 +0100

Hi,

As promised in the ASRG meeting in Dublin, I will gather some stats
over the next week or two and assemble a draft-format doc with some
initial 'ball park' musings, including our local scenario/config.

If people want advice on dual-stack MX setup, see RFC3974.   This
document is 3 years old, but I believe what it says is still considered
best practice.  

Tim

On Mon, Aug 04, 2008 at 10:26:45AM +0200, Frank Ellermann wrote:
> John Levine wrote:
> 
> > Someone pointed out that in some popular dual stack systems,
> > connections from IPv4 addresses appear as IPv6 addresses
> > in :FFFF:0000:0000/96
> 
> Yes, that is what I meant when I mentioned RFC 4408, (ab)using
> ::FFFF:127.0.0.2 as an "obvious" test entry.  Another proposal
> in the meeting was to use one of the IPv6 example addresses
> for this purpose.  But I can't remember the example addresses
> without my 4408 cheat sheet, an obvious entry would be better.
> 
> > The immediate question is whether to add a sentence or two
> > to the DNSBL spec saying that if you have a DNSBL listing
> > both v4 and v6 addresses, and you list a v4 address, you
> > SHOULD or MUST also list the corresponding embedded v6
> 
> No.  It is the job of the clients to get this right, they are
> supposed to ask for the IPv4 form of these addresses.  With
> ::FFFF:127.0.0.2 as a possible *exception* for test purposes.
> 
>  Frank
> 
> _______________________________________________
> Asrg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/asrg

-- 
Tim

_______________________________________________
Asrg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/asrg

---

From: der Mouse <[email-masked]>
Date: Mon, 4 Aug 2008 08:09:17 -0400 (EDT)

> document is 3 years old, but I believe what it says is still
> considered best practice.

Most of it, perhaps, but I'm not sure I agree with all of section 3
step (9).  In particular, fallback to next MX rather than next address
broke; I had to split my dual-stack MX into two MX records, each
single-stacked but referring to the same actual machine, because of it.

/~\ The ASCII				der Mouse
\ / Ribbon Campaign
 X  Against HTML		[email-masked]
/ \ Email!	     7D C8 61 52 5D E7 2D 39  4E F1 31 3E E8 B3 27 4B
_______________________________________________
Asrg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/asrg

---

From: Florian Weimer <[email-masked]>
Date: Tue, 05 Aug 2008 23:25:24 +0200

> document is 3 years old, but I believe what it says is still considered

Note that the lowest-numbered MX must have an A record, otherwise you
receive bounces from overzealous spam filters.  IIRC, this isn't
mentioned anywhere in the document.
_______________________________________________
Asrg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/asrg